# Get a customized bank account statement

**GET** `/reporting/customized-bank-account-statement`

Generate a customized bank account statement for a specific bank account and date range. The response is a CSV file download.

### Query Parameters

- `bank_account_id` `string` _(required)_ — The ID of the bank account to generate the statement for.
- `from_date` `string` _(required)_ — Start date for the statement period, in `YYYY-MM-DD` format.
- `to_date` `string` _(required)_ — End date for the statement period, in `YYYY-MM-DD` format.
- `type` `string` _(required)_ — The format of the statement. Currently only `csv` is supported.

**Request**

```shell
curl 'https://api.column.com/reporting/customized-bank-account-statement?bank_account_id=<bank_account_id>&from_date=2024-01-01&to_date=2024-01-31&type=csv' \
  -u :<YOUR API KEY>
```

**Response 200**

```jsonc
// Response: text/csv
SettlementDate,Type,BankAccountID,TransactionIdentifier,Description,Amount,RunningBalance
2024-01-15,ACH Credit,bacc_2YHAXVyuS2xcJW12Buh9zsxV7vC,acht_2zEuf3oP0xR9sYdZ5oLT6Sv,Payroll deposit,150000,150000
2024-01-16,Wire Debit,bacc_2YHAXVyuS2xcJW12Buh9zsxV7vC,wire_2zEuf4qR1yS0tZeA6pMU7Tv,Vendor payment,-50000,100000
2024-01-17,Book Credit,bacc_2YHAXVyuS2xcJW12Buh9zsxV7vC,book_2zEuf5rS2zT1uAfB7qNV8UwX,Internal transfer,25000,125000
```
